org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.util

## Class EMFPatternLanguageAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.util.EMFPatternLanguageAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class EMFPatternLanguageAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `EMFPatternLanguagePackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createClassTypeAdapter()` Creates a new adapter for an object of class '`Class Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEClassifierConstraintAdapter()` Creates a new adapter for an object of class '`EClassifier Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEntityTypeAdapter()` Creates a new adapter for an object of class '`Entity Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEnumValueAdapter()` Creates a new adapter for an object of class '`Enum Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createPackageImportAdapter()` Creates a new adapter for an object of class '`Package Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternImportAdapter()` Creates a new adapter for an object of class '`Pattern Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternLanguage_PatternModelAdapter()` Creates a new adapter for an object of class '`Pattern Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternModelAdapter()` Creates a new adapter for an object of class '`Pattern Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createReferenceTypeAdapter()` Creates a new adapter for an object of class '`Reference Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRelationTypeAdapter()` Creates a new adapter for an object of class '`Relation Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypeAdapter()` Creates a new adapter for an object of class '`Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createValueReferenceAdapter()` Creates a new adapter for an object of class '`Value Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createXImportSectionAdapter()` Creates a new adapter for an object of class '`XImport Section`'.
    `org.eclipse.emf.common.notify.Adapter` | `createXtype_XImportSectionAdapter()` Creates a new adapter for an object of class '`XImport Section`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageAdapterFactory

          public EMFPatternLanguageAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createXImportSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createXImportSectionAdapter()

      Creates a new adapter for an object of class '`XImport Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `XImportSection`

    - #### createPackageImportAdapter

          public org.eclipse.emf.common.notify.Adapter createPackageImportAdapter()

      Creates a new adapter for an object of class '`Package Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PackageImport`

    - #### createPatternImportAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternImportAdapter()

      Creates a new adapter for an object of class '`Pattern Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternImport`

    - #### createEClassifierConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createEClassifierConstraintAdapter()

      Creates a new adapter for an object of class '`EClassifier Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EClassifierConstraint`

    - #### createEnumValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEnumValueAdapter()

      Creates a new adapter for an object of class '`Enum Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EnumValue`

    - #### createPatternModelAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternModelAdapter()

      Creates a new adapter for an object of class '`Pattern Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternModel`

    - #### createClassTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createClassTypeAdapter()

      Creates a new adapter for an object of class '`Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ClassType`

    - #### createReferenceTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createReferenceTypeAdapter()

      Creates a new adapter for an object of class '`Reference Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReferenceType`

    - #### createXtype_XImportSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createXtype_XImportSectionAdapter()

      Creates a new adapter for an object of class '`XImport Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `XImportSection`

    - #### createConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

      Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Constraint`

    - #### createValueReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createValueReferenceAdapter()

      Creates a new adapter for an object of class '`Value Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueReference`

    - #### createPatternLanguage_PatternModelAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternLanguage_PatternModelAdapter()

      Creates a new adapter for an object of class '`Pattern Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternModel`

    - #### createTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeAdapter()

      Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Type`

    - #### createEntityTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityTypeAdapter()

      Creates a new adapter for an object of class '`Entity Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EntityType`

    - #### createRelationTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationTypeAdapter()

      Creates a new adapter for an object of class '`Relation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RelationType`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.